// UsbExampleDlg.h : header file
//

#if !defined(AFX_USBEXAMPLEDLG_H__50E458CD_E7D9_4F51_B1C4_C33A5D60D7C5__INCLUDED_)
#define AFX_USBEXAMPLEDLG_H__50E458CD_E7D9_4F51_B1C4_C33A5D60D7C5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CUsbExampleDlg dialog

class CUsbExampleDlg : public CDialog
{
// Construction
public:
	CUsbExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUsbExampleDlg)
	enum { IDD = IDD_USBEXAMPLE_DIALOG };
	CButton	m_ctrlHexSend;
	int		iPrintNum;
	CString	TxData;
	HANDLE hUsb;   //USBÉè±¸µÄ¾ä±ú
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUsbExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUsbExampleDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPrint();
	afx_msg void OnClrData();
	afx_msg void OnAdd();
	afx_msg void OnJian();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_USBEXAMPLEDLG_H__50E458CD_E7D9_4F51_B1C4_C33A5D60D7C5__INCLUDED_)
